## org.eclipse.datatools.modelbase.sql.xml.query.impl
Class XMLNamespaceDeclarationItemImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLNamespaceDeclarationItemImpl

All Implemented Interfaces:
  SQLObject, SQLQueryObject, XMLNamespaceDeclarationItem

Direct Known Subclasses:
  XMLNamespaceDeclarationDefaultImpl, XMLNamespaceDeclarationPrefixImpl

public class XMLNamespaceDeclarationItemImpl
extends SQLQueryObjectImpl
implements XMLNamespaceDeclarationItem

An implementation of the model object 'XML Namespace Declaration Item'.

The following features are implemented:

- `Uri`
- `Namespaces Decl`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `eBasicRemoveFromContainer(NotificationChain msgs)`
`java.lang.Object` `eGet(EStructuralFeature eFeature, boolean resolve)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`boolean` `eIsSet(EStructuralFeature eFeature)`
`void` `eSet(EStructuralFeature eFeature, java.lang.Object newValue)`
`void` `eUnset(EStructuralFeature eFeature)`
`XMLNamespacesDeclaration` `getNamespacesDecl()`
`java.lang.String` `getUri()`
`void` `setNamespacesDecl(XMLNamespacesDeclaration newNamespacesDecl)`
`void` `setUri(java.lang.String newUri)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getUri

    public java.lang.String getUri()

  Specified by:
    `getUri` in interface `XMLNamespaceDeclarationItem`
  Returns:
    the value of the 'Uri' attribute.
  See Also:
    `XMLNamespaceDeclarationItem.setUri(String)`, `SQLXMLQueryModelPackage.getXMLNamespaceDeclarationItem_Uri()`

### setUri

    public void setUri(java.lang.String newUri)

  Specified by:
    `setUri` in interface `XMLNamespaceDeclarationItem`
  Parameters:
    `newUri` - the new value of the 'Uri' attribute.
  See Also:
    `XMLNamespaceDeclarationItem.getUri()`

### getNamespacesDecl

    public XMLNamespacesDeclaration getNamespacesDecl()

  Specified by:
    `getNamespacesDecl` in interface `XMLNamespaceDeclarationItem`
  Returns:
    the value of the 'Namespaces Decl' container reference.
  See Also:
    `XMLNamespaceDeclarationItem.setNamespacesDecl(XMLNamespacesDeclaration)`, `SQLXMLQueryModelPackage.getXMLNamespaceDeclarationItem_NamespacesDecl()`, `XMLNamespacesDeclaration.getNamespaceDecltemList()`

### setNamespacesDecl

    public void setNamespacesDecl(XMLNamespacesDeclaration newNamespacesDecl)

  Specified by:
    `setNamespacesDecl` in interface `XMLNamespaceDeclarationItem`
  Parameters:
    `newNamespacesDecl` - the new value of the 'Namespaces Decl' container reference.
  See Also:
    `XMLNamespaceDeclarationItem.getNamespacesDecl()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         java.lang.Class baseClass,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLQueryObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            java.lang.Class baseClass,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLQueryObjectImpl`

### eBasicRemoveFromContainer

    public NotificationChain eBasicRemoveFromContainer(NotificationChain msgs)

### eGet

    public java.lang.Object eGet(EStructuralFeature eFeature,
                                 boolean resolve)

  Overrides:
    `eGet` in class `SQLQueryObjectImpl`

### eSet

    public void eSet(EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLQueryObjectImpl`

### eUnset

    public void eUnset(EStructuralFeature eFeature)

  Overrides:
    `eUnset` in class `SQLQueryObjectImpl`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Overrides:
    `eIsSet` in class `SQLQueryObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.